std::make_error_code(std::errc)(3)

NAME
std::make_error_code(std::errc) - std::make_error_code(std::errc)

Synopsis
   Defined in header <system_error>
   std::error_code make_error_code( std::errc e ) noexcept; (since C++11)
   Creates error code value for errc enum e.
   Equivalent to std::error_code(static_cast<int>(e), std::generic_category())

Parameters
   e - error code enum to create error code for

Return value
   Error code corresponding to e.

See also
   make_error_code(std::io_errc) constructs an iostream error code
   (C++11) (function)
   make_error_code(std::future_errc) constructs a future error code
   (C++11) (function)